Skip to main content

Create Appointment: Funnel

POSThttps://api.propexo.com/crm/v1/appointments/funnel

Funnel does not allow specifying appointment end times or durations via their API.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    appointment_datestringrequired

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This must be a multiple of 15 minutes (e.g. 00, 15, 30, or 45). This time should be specified in UTC

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    email_1stringrequired

    The primary email address associated with the prospect

    phone_1string

    Primary phone number associated with the prospect

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    phone_2string

    Primary phone number associated with the prospect

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    first_namestring

    The first name associated with the prospect

    last_namestring

    The last name associated with the prospect

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_minimum_in_centsinteger

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger

    The maximum rent of the prospect

    Possible values: >= 1

    notesstring

    Notes associated with the event

    Possible values: <= 1000 characters

    desired_num_bedroomsinteger[]

    The number of bedrooms associated with the prospect. 0 represents a studio unit. 4 represents four or more bedrooms.

    Possible values: >= 0 and <= 4

    tour_typestring

    The type of appointment being scheduled.

    Show 3 enum values
    VIDEOSELF_GUIDED_TOURGUIDED_TOUR

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    appointment_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This must be a multiple of 15 minutes (e.g. 00, 15, 30, or 45). This time should be specified in UTC

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    email_1stringrequired

    The primary email address associated with the prospect

    phone_1string | nullnullablerequired

    Primary phone number associated with the prospect

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    phone_2string | nullnullablerequired

    Primary phone number associated with the prospect

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    first_namestring | nullnullablerequired

    The first name associated with the prospect

    last_namestring | nullnullablerequired

    The last name associated with the prospect

    move_in_datestring | nullnullablerequired

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_minimum_in_centsinteger | nullnullablerequired

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger | nullnullablerequired

    The maximum rent of the prospect

    Possible values: >= 1

    notesstring | nullnullablerequired

    Notes associated with the event

    Possible values: <= 1000 characters

    desired_num_bedroomsinteger[]nullablerequired

    Possible values: >= 0 and <= 4

    tour_typestring | nullnullablerequired

    The type of appointment being scheduled.

    Show 3 enum values
    VIDEOSELF_GUIDED_TOURGUIDED_TOUR

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/appointments/funnel
curl -X POST https://api.propexo.com/crm/v1/appointments/funnel \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"email_1": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"email_1": "string",
"phone_1": "string",
"phone_2": "string",
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"notes": "string",
"desired_num_bedrooms": "Unknown Type: array,null",
"tour_type": "VIDEO"
}
}